import React from 'react';
import { ColorRing } from 'react-loader-spinner';

type LoadingCircleProps = {
  show: boolean;
  message?: string;
};

const LoadingCircle = ({ show, message }: LoadingCircleProps) => show ? (
  <div className='flex flex-col flex-grow items-center self-center justify-center'>
    <ColorRing
      visible={true}
      height="80"
      width="80"
      ariaLabel="blocks-loading"
      wrapperStyle={{}}
      wrapperClass="blocks-wrapper"
      colors={['#e15b64', '#f47e60', '#f8b26a', '#abbd81', '#849b87']}
    />
    <span> {message ? message : 'Loading data'} </span>
  </div>
) : null;

export default LoadingCircle;
